Package com.sun.jna.platform.mac

# Class XAttrUtil

java.lang.Object
com.sun.jna.platform.mac.XAttrUtil

public class XAttrUtil extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XAttrUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static String`
  `decodeString(ByteBuffer bb)`
  `protected static List<String>`
  `decodeStringSequence(ByteBuffer bb)`
  `protected static Memory`
  `encodeString(String s)`
  `static String`
  `getXAttr(String path, String name)`
  `static List<String>`
  `listXAttr(String path)`
  `static int`
  `removeXAttr(String path, String name)`
  `static int`
  `setXAttr(String path, String name, String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XAttrUtil

    public XAttrUtil()

- ## Method Details

  - ### listXAttr

    public static List<String> listXAttr(String path)

  - ### getXAttr

    public static String getXAttr(String path, String name)

  - ### setXAttr

    public static int setXAttr(String path, String name, String value)

  - ### removeXAttr

    public static int removeXAttr(String path, String name)

  - ### encodeString

    protected static Memory encodeString(String s)

  - ### decodeString

    protected static String decodeString(ByteBuffer bb)

  - ### decodeStringSequence

    protected static List<String> decodeStringSequence(ByteBuffer bb)